summaryrefslogtreecommitdiffhomepage
path: root/subr/ex_pkg_dispatch.subr
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz (arab, vxp) <lucio@lucioillanes.de>2017-12-05 22:03:38 +0000
committerLucio Andrés Illanes Albornoz (arab, vxp) <lucio@lucioillanes.de>2017-12-05 22:03:38 +0000
commita43dbff772ba93610c5c5fe9ce8bcf73cb49341d (patch)
tree3116898a3a3886bdc91d9a73596f01210aa60a0c /subr/ex_pkg_dispatch.subr
parentc8456d7eb66d3c0e9dfe94b69ebaa71b0fda449e (diff)
downloadmidipix_build-a43dbff772ba93610c5c5fe9ce8bcf73cb49341d.tar.bz2
midipix_build-a43dbff772ba93610c5c5fe9ce8bcf73cb49341d.tar.xz
subr/build_init.subr: touch ${DEFAULT_BUILD_LOG_FNAME} and set ${BUILD_IS_PARENT=1}.
subr/ex_pkg_dispatch.subr:exp_pkg_dispatch(): set ${BUILD_IS_PARENT=0} within child process context. subr/ex_rtl_log.subr:exp_rtl_log_printf(): append message sans attributes to ${DEFAULT_BUILD_LOG_FNAME} given ${BUILD_IS_PARENT}.
Diffstat (limited to 'subr/ex_pkg_dispatch.subr')
-rw-r--r--subr/ex_pkg_dispatch.subr2
1 files changed, 1 insertions, 1 deletions
diff --git a/subr/ex_pkg_dispatch.subr b/subr/ex_pkg_dispatch.subr
index 92890ba6..771b2afe 100644
--- a/subr/ex_pkg_dispatch.subr
+++ b/subr/ex_pkg_dispatch.subr
@@ -19,7 +19,7 @@ exp_pkg_dispatch() {
else
_stderrout_path="${BUILD_WORKDIR}/${_pkg_name}_stderrout.log";
"${_dispatch_fn}" start_pkg "${_pkg_name}" "${_tgt_name}";
- (set -o errexit -o noglob;
+ (set -o errexit -o noglob; BUILD_IS_PARENT=0;
ex_pkg_env "${_pkg_name}" "${_tgt_name}" "${_restart_at}";
trap "if [ \${?} -eq 0 ]; then \
echo \"done ${_pkg_name} ${_tgt_name}\" >&3; \